sparkcrawlDocs

List recrawl schedules when automation is enabled

Conditional capability: SCRAPING_AUTOMATION_ENABLED=1 and PostgreSQL are required; otherwise returns 503 automation_unavailable. Requires crawl scope.

GET
/api/v1/schedules

Conditional capability: SCRAPING_AUTOMATION_ENABLED=1 and PostgreSQL are required; otherwise returns 503 automation_unavailable. Requires crawl scope.

Authorization

bearerAuth
headerAuthorizationBearer <sc_live_<43 characters>>

Organization API key created at /app/api. Scopes: scrape, crawl, search, research. The secret is shown once.

Response Body

Tenant schedules

application/json
  1. response
schedules?array<>
Example Request
curl -X GET 'https://sparkcrawl.com/api/v1/schedules'
Example Response
{  "schedules": [    {      "id": "string",      "organizationId": "string",      "url": "http://example.com",      "intervalMs": 0,      "nextRunAt": 0,      "paused": true    }  ]}